FLMIN(3F)

NAME
flmin, flmax, ffrac, dflmin, dflmax, dffrac, inmax - return extreme values

SYNOPSIS
function flmin()

function flmax()

function ffrac()

double precision function dflmin()

double precision function dflmax()

double precision function dffrac()

function inmax()

DESCRIPTION
Functions flmin and flmax return the minimum and maximum positive floating point values respectively. Functions dflmin and dflmax return the minimum and maximum positive double precision floating point values. Function inmax returns the maximum positive integer value.

The functions ffrac and dffrac return the fractional accuracy of single and double precision floating point numbers respectively. This is the difference between 1.0 and the smallest real number greater than 1.0.

These functions can be used by programs that must scale algorithms to the numerical range of the processor.

FILES
/usr/lib/libF77.a